Đến nội dung


Hình ảnh
- - - - -

Cần giúp về Lisp Scale 1 chiều !


  • Please log in to reply
58 replies to this topic

#41 justcien

justcien

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 18 November 2010 - 09:47 AM

Mình hay tạo block ( Loại không cần đặt tên hay đặt tên cũng đc ) xong vào properties chọn scale x hay scale y theo tỷ lệ cần là đc, cái này thậm chí sclae cả phương z cho 3d:D. Hạn chế là nếu tỷ lệ sc lẻ thì ....
  • 0

Công Ty Cổ Phần Xây Dựng, Kiến Trúc – Nội Thất Việt Nam
Đ/C: Số 1, Ngõ 92, Đào Tấn, Ba Đình, Hà Nội

 


#42 vantronphan

vantronphan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 April 2012 - 11:14 AM

Thế nào là tỉ lệ qấ lẻ là không khả thi.
Bạn có thể kết hợp lệnh 'cal để tính toán ra tỉ lệ scale. Điều đó hoàn toàn được.
Bạn đã thử kết hợp lệnh scale 1 chiều với lệnh 'cal chưa?

cal là lệnh tính toán mà bạn cho lại đi bạn ơi
  • 0

#43 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 18 April 2012 - 11:21 AM

cal là lệnh tính toán mà bạn cho lại đi bạn ơi

Ý bạn là sao? Có thể nói rõ hơn?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#44 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 18 April 2012 - 03:24 PM

cal là lệnh tính toán mà bạn cho lại đi bạn ơi

Nếu dùng lisp scxy của tôi trong topic này thì tin rằng đã có chức năng pick trực tiếp kích thước nguồn và đích mong muốn.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#45 anhhungxdddcnnb

anhhungxdddcnnb

    biết vẽ point

  • Members
  • PipPip
  • 95 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 18 April 2012 - 08:05 PM

tôi chưa hiểu lắm về scal 1 chiều xsc và 'cal
Ai bít chỉ cụ thể
kém cỏi đừng chê
  • 0

#46 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 18 April 2012 - 09:44 PM

tôi chưa hiểu lắm về scal 1 chiều xsc và 'cal
Ai bít chỉ cụ thể
kém cỏi đừng chê

1). Acad đã có lệnh scale, tức là scale theo cả 2 phương X và Y. Bác Duy sáng kiến scale theo 1 chiều X hoặc Y để ai có nhu cầu thì dùng.
2). 'cal là 1 lệnh tính toán trong khi đang thực hiện 1 lệnh khác.
3). Hoá ra: bạn muốn hỏi cái gì?
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#47 maimaiyeuem80

maimaiyeuem80

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 May 2012 - 11:38 AM

các anh ơi ! sao em sài bản card 2010 không thể thực hiện đc những điều các bác nói nhỉ ? có ai giải thích tại sao giúp em với !!
như khi đanh lệnh XSC :

Command: XSC
Chon doi tuong can scale:
Select objects: Specify opposite corner: 74 found
Select objects:
Base point: ; error: too many arguments
vậy thì làm sao mà scale được chứ !! có anh nào đã sài card 10 và scale 1 chiều thành công thì chia sẻ giúp em với !!
thanks verry thanks !!
  • 0

#48 Hai_YenLang

Hai_YenLang

    biết lệnh explore

  • Members
  • PipPipPipPipPipPip
  • 473 Bài viết
Điểm đánh giá: 149 (tàm tạm)

Đã gửi 19 May 2012 - 07:28 PM

Có thể lisp của bạn bị lỗi gì đó,

Command: xsc
Usage: (acad_strlsort <list of strings>)
Chon doi tuong can scale:
Select objects: 1 found
Select objects:
Base point:
Scale theo [X,Y,Z,Scale] :x
Cho biet he so scale or Reference < R >2
Command:

Đây là lisp có trên diễn đàn, bạn dùng thử xem sao:

http://www.cadviet.c..._xscale_xsc.lsp
  • 0
Đức hạnh lớn nhất mà bên cạnh đó, mọi đức hạnh khác đều mờ nhạt đi, đó là không làm hại ai và tùy sức mà giúp đỡ mọi người "
Người cảnh sát điều tra hình sự giỏi là người biết được tất cả những hành vi thủ đoạn trộm cắp của bọn trộm cắp, nhưng lại dốt ăn cắp ăn trộm ...

#49 maimaiyeuem80

maimaiyeuem80

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 May 2012 - 11:51 AM

chào các anh à ! em cũng làm theo y như các bác mà ko đc !!
sau đây là các bước mà em đã thực hiên !
sau khi chọ đối tượng xong nó cứ đòi: Base point
kích điểm gốc mà ko có dòng chọn theo phương : X or y để scale như bác nói !
Command: xsc Chon doi tuong can scale:
Select objects: Specify opposite corner: 30 found
Select objects:
Base point: x
Invalid point.
Base point: 'cal
>>>> Expression: 3
3
Base point: ; error: too many arguments
Command:
thanks các anh nhiều !
  • 0

#50 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 27 May 2012 - 11:57 AM

Bạn nhập sai rồi. Phải nhập như thế này chứ
Base point: pick điểm chuẩn (không phải nhập chữ X như bạn)
Scale theo [X,Y,Z,Scale] : chọn X hoặc Y hoặc Z hoặc S
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#51 vutuong87

vutuong87

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 June 2012 - 10:02 AM

các bác có thể giúp e viết lisp để scan theo theo diện tích được không.
E nói sơ bộ ntn:
- có 1 hình bất kì có diện tích là 242m2.
có thể tạo lisp scan nó còn 200m2, e dùng lệnh offset nhưng rất lâu
Mong các bác giúp cho
  • 0

#52 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 19 June 2012 - 10:48 AM

các bác có thể giúp e viết lisp để scan theo theo diện tích được không.
E nói sơ bộ ntn:
- có 1 hình bất kì có diện tích là 242m2.
có thể tạo lisp scan nó còn 200m2, e dùng lệnh offset nhưng rất lâu
Mong các bác giúp cho

Hề hề hề,
Cái này bạn cần chi phải dùng lisp cho nó .... chú học nhể.
Thử dùng lệnh scale và khi Cad yêu cầu nhập tỷ lệ scale thì bạn nhập như sau:
'cal -> enter -> (242/200)^(1/2) -> enter xem nó ra cái chi nhé ????
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#53 maimaiyeuem80

maimaiyeuem80

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 June 2012 - 10:29 PM

thế lại thất bại với cách SXC như các bác làm như trên rùi ! em đã làm trên card 2007 -2010 đều ko đc ! nếu ở gần hn em chạy qua tt hỏi phát ! để trong người khó chịu quá ! nhiều đồ án sài cái này eddit thì sướng phải biết !! em ở sài gòn ! có bác nào ở sài gon ko giúp em làm live như trên đc ko ạ !! đây la mail của em ! chuthang_lycaphebanme@yahoo.com rất mong các bác giúp đỡ ạ !!

bài này em đã làm như bác DUY mà ko đc !! mấy anh xem giúp em với!! thanks !!


Chon doi tuong can sc
Select objects: Specify opposite corner: 110 found
Select objects: Specify opposite corner: 0 found
Select objects:
Base point: ; error: too many arguments
Command:
Command: x
EXPLODE
Select objects: Specify opposite corner: 7 found
Select objects: *Cancel*
  • 0

#54 kietlerock

kietlerock

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 October 2012 - 10:29 AM

dùng List làm gi cho mệt ban ơi! bạn cứ vào properties đi! sau đó cứ đánh tỉ lệ mà bạn muốn scale vào scale x hoặc scale y là được rồi bạn.
  • 0

#55 namquyenck3

namquyenck3

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 May 2014 - 09:00 PM

Tại sao lisp SCXY mình lại không tải về đc ai có thể giúp mình được không


  • 0

#56 doanngocphu2009

doanngocphu2009

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 September 2014 - 10:50 AM

*Cái lisp này là scale với tỉ lệ x và y khác nhau nên gọi là scale x y.
-Tên lệnh: SCXY
-Thao tác:
+Nhập lệnh SCXY.
+Chọn đối tượng.
+Chọn điểm chuẩn (để phóng)
+Chọn 2 điểm chuẩn theo phương x.
+Chọn 2 điểm đến theo phương x.
+Chọn 2 điểm chuẩn theo phương y.
+Chọn 2 điểm đến theo phương y.
Xong!
Đây!!!!!!!


  • 0

#57 doanngocphu2009

doanngocphu2009

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 September 2014 - 10:52 AM

Ảnh cho em xin lại cái lisp scale theo một phương của anh đ­uoc khong! em dowload trên diễn đàn mà không được!

mail em là: doanngocphu2009@gmail.com


  • 0

#58 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 15 September 2014 - 04:21 PM

http://www.cadviet.c...1285_scxyok.rar


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#59 yeuvietnam

yeuvietnam

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 18 May 2015 - 03:40 PM

Đây là đoạn Code Scale 1 chiều, Tue_NV đã cải tiến lại với lựa chọn thêm tham số R giống như Scale 2 chiều. Các bạn sử dụng và cho biết ý kiến thêm để Tue_NV hoàn thiện nhé.
Cảm ơn các bạn

;XSCALE Scale the mot chieu lenhtat :XSC
(DEFUN EXCUTE()
(setq oldvalue (getvar "CMDECHO"))
(setvar "CMDECHO" 0)

(princ "Chon doi tuong can scale: ")
(setq ss (ssget))
(setq P0 (getpoint "\n Base point: "))
(initget 1 "X Y X S")
(setq C (getkword "\nScale theo [X,Y,Z,Scale]? :"))
(setq hstr (getstring "\n Cho biet he so scale or Reference < R >"))

(if (/= hstr "R") (setq hs (distof hstr 2)))
(if (or (= hstr "R") (= hstr ""))
(progn
(setq po1 (getdist p0 "\n Nhap chieu dai cua doan 1 hay Pick diem thu 2 cua canh thu 1:"))
(setq po2 (getdist p0 "\n Nhap chieu dai cua doan 2 hay Pick diem thu 2 cua canh thu 2:"))
(setq hs (/ po2 po1))
))

(DELBLOCK "VKC_TEMP")
(CREATEBLOCK ss P0)
(Command "-Insert" "VKC_TEMP" C hs P0 "")
(setq dt (entlast))
(Command "Explode" dt)

(setvar "CMDECHO" oldvalue)
(princ)
)
(DEFUN CREATEBLOCK(ss P)
(command "-Block" "VKC_TEMP" P ss "")
)

(DEFUN DELBLOCK (bname)
(if (IsExistBlock bname)
(Command "-Purge" "B" bname "Y" "Y")
)
)
(DEFUN IsExistBlock(bname / kq)
(setq kq Nil)
(setq n (length LiBlk))
(setq i 0)
(while (< i n)
(if (= bname (nth i LiBlk))
(progn
(setq i n)
(setq kq T)
)
)
(setq i (1+ i))
)
kq
)
(DEFUN CREALIBLK (/ NL)
(setq LiBlk (List))
(setq NL (tblnext "BLOCK" T))
(while NL
(setq LiBlk (append LiBlk (list (cdr (assoc 2 NL)))))
(setq NL (tblnext "BLOCK"))
)
(setq LiBlk (Acad_strlsort LiBlk))
)
(DEFUN C:XSCALE()
(CREALIBLK)
(EXCUTE)
)
(DEFUN C:XSC()
(CREALIBLK)
(EXCUTE)
)

sử dụng lênh gì để scal đây bác


  • -1